UPGRADE YOUR BROWSER

We have detected your current browser version is not the latest one. Xilinx.com uses the latest web technologies to bring you the best online experience possible. Please upgrade to a Xilinx.com supported browser:Chrome, Firefox, Internet Explorer 11, Safari. Thank you!

cancel
Showing results for 
Search instead for 
Did you mean: 
Highlighted
Observer hw_42
Observer
623 Views
Registered: ‎12-01-2017

ldpc library cannot be compiled in Vivado 2018.2 with ModelSim DE 10.6c

I am trying to generate libraries using the recommended ModelSim DE version, 10.6c, on Vivado 2018.2 release notes, but I get the following error:

 

** Error: /opt/Xilinx/Vivado/2018.2/data/ip/xilinx/ldpc_v2_0/hdl/ldpc_v2_0_rfs.sv(64): in protected region
** Error: /opt/Xilinx/Vivado/2018.2/data/ip/xilinx/ldpc_v2_0/hdl/ldpc_v2_0_rfs.sv(64): in protected region
** Error: /opt/Xilinx/Vivado/2018.2/data/ip/xilinx/ldpc_v2_0/hdl/ldpc_v2_0_rfs.sv(64): in protected region

 

I have already checked:

https://forums.xilinx.com/t5/Simulation-and-Verification/Failed-to-compile-libraries-for-Modelsim-10-6b-with-Vivado-2017/m-p/822007/highlight/true#M20686

https://forums.xilinx.com/t5/Simulation-and-Verification/Vivado-2017-3-IP-Libraries-have-an-issue-when-compiling-for/m-p/820595/highlight/true#M20608

https://forums.xilinx.com/t5/Simulation-and-Verification/Vivado-2017-3-IP-Libraries-have-an-issue-when-compiling-for/m-p/821271#M20642

 

And none of the proposed solutions work (error supression on modelsim.ini, -novopt is not present). The full cxl_error.log is attached.

3 Replies
Moderator
Moderator
573 Views
Registered: ‎04-24-2013

Re: ldpc library cannot be compiled in Vivado 2018.2 with ModelSim DE 10.6c

Hi @hw_42,

 

I ran the compilation in ModelSim 10.6c with 2018.2 and didn't see the same issue.

I only have access to the SE version so this may have made a difference, I have attached the log file

The command that I used was:

 

compile_simlib -simulator modelsim -simulator_exec_path {/tools/gensys/modelsim/10.6c/linux_x86_64} -family all -language all -library all -dir {/home/amaccre/compile_simlib/10_6c}

 

On Linux, ModelSim DE runs as a 32-bit binary only (even on 64-bit Linux). 

Can you please try to add -32bit switch to compile_simlib and see if it allows compilation to proceed?

 

Best Regards

Aidan

 

------------------------------------------------------------------------------------------------------------------
Please mark the Answer as "Accept as solution" if this answered your question
Give Kudos to a post which you think is helpful and may help other users
------------------------------------------------------------------------------------------------------------------
0 Kudos
Observer hw_42
Observer
566 Views
Registered: ‎12-01-2017

Re: ldpc library cannot be compiled in Vivado 2018.2 with ModelSim DE 10.6c

@amaccreThis problem happened with the -32bit switch activated. ModelSim does not support 64-bit libraries, everything fails without the -32bit switch.

I have tested with the SE edition and there are no errors. It seems to be specific to the DE edition.

 

0 Kudos
Moderator
Moderator
562 Views
Registered: ‎04-24-2013

Re: ldpc library cannot be compiled in Vivado 2018.2 with ModelSim DE 10.6c

Hi @hw_42,

 

Thanks for letting me know, I will bring this to the attention of the factory and ask them to check it in the DE version.

I'll keep you updated once I hear back.

Best Regards
Aidan

 

------------------------------------------------------------------------------------------------------------------
Please mark the Answer as "Accept as solution" if this answered your question
Give Kudos to a post which you think is helpful and may help other users
------------------------------------------------------------------------------------------------------------------